@include ipad-landscape {
    
    body:not(.mkdf-content-is-behind-header):not(.error404) .mkdf-content {
        margin-top: 0 !important;
    }
}

@include ipad-landscape {
    
    .mkdf-hide-on-tablet {
        display: none !important;
    }
}

@include phone-landscape {
    
    .mkdf-hide-on-mobile {
        display: none !important;
    }
}

@include phone-portrait {
    blockquote {

        padding: 0;

        p {
            &:before {
                display: block;
            }
        }
    }
}

.mkdf-grid,
.mkdf-container-inner,
.mkdf-row-grid-section {

    @include laptop-landscape {
        width: $grid-width-laptop-landscape;
    }

    @include ipad-landscape {
        width: $grid-width-ipad-landscape;
    }
    
    @include ipad-portrait {
        width: $grid-width-ipad-portrait;
    }

    @include phone-landscape {
        width: $grid-width-phone-landscape;
    }

    @include phone-portrait {
        width: $grid-width-phone-portrait;
    }

    @include smaller-phone-portrait {
        width: $grid-width-smaller-phone-portrait;
    }
}

.mkdf-boxed .mkdf-wrapper .mkdf-wrapper-inner,
.mkdf-boxed .mkdf-wrapper .mkdf-footer-inner {

    @include laptop-landscape {
        width: $grid-width-laptop-landscape-boxed;
    }

    @include ipad-landscape {
        width: $grid-width-ipad-landscape-boxed;
    }

    @include ipad-portrait {
        width: $grid-width-ipad-portrait-boxed;
    }

    @include phone-landscape {
        width: $grid-width-phone-landscape-boxed;
    }

    @include phone-portrait {
        width: $grid-width-phone-portrait-boxed;
    }

    @include smaller-phone-portrait {
        width: $grid-width-smaller-phone-portrait-boxed;
    }
}